Bug 1402245 (CVE-2016-9845) - CVE-2016-9845 Qemu: display: virtio-gpu-3d: information leakage in virgl_cmd_get_capset_info
Summary: CVE-2016-9845 Qemu: display: virtio-gpu-3d: information leakage in virgl_cmd_...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-9845
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1402247
Blocks: 1395985
TreeView+ depends on / blocked
 
Reported: 2016-12-07 06:34 UTC by Prasad J Pandit
Modified: 2019-09-29 14:02 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:03:25 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-12-07 06:34:52 UTC
Quick Emulator(Qemu) built with the Virtio GPU Device emulator support is
vulnerable to an information leakage issue. It could occur while processing
'VIRTIO_GPU_CMD_GET_CAPSET_INFO' command.

A guest user/process could use this flaw to leak contents of the host memory
bytes.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2016-11/msg00019.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/05/22

Comment 1 Prasad J Pandit 2016-12-07 06:42:13 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1402247]

Comment 3 Cole Robinson 2017-01-16 18:50:08 UTC
commit 42a8dadc74f8982fc269e54e3c5627b54d9f83d8
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Tue Nov 1 02:53:11 2016 -0700

    virtio-gpu: fix information leak in getting capset info dispatch


Note You need to log in before you can comment on or make changes to this bug.